org.jCharts.chartData.interfaces

## Interface IDataSet

- All Superinterfaces:
    IData, Serializable
  All Known Subinterfaces:
    IAxisChartDataSet, IAxisPlotDataSet, IPieChartDataSet, IScatterPlotDataSet, IStockChartDataSet
  All Known Implementing Classes:
    AxisChartDataSet, DataSet, PieChartDataSet, ScatterPlotDataSet, StockChartDataSet

      public interface IDataSet
      extends IData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChartTypeProperties` | `getChartTypeProperties()` Returns ChartTypeProperties Object for the data set which will be typed into the specific chart type class.
    `String` | `getLegendLabel(int index)` Returns the Legend Label for the passed index.
    `int` | `getNumberOfDataItems()` Returns the number of elements in the data set.
    `int` | `getNumberOfLegendLabels()` Returns the number of legend labels in the data set.
    `Paint` | `getPaint(int index)` Returns the Paint Object for the passed index.

- - ### Method Detail

    - #### getPaint

          Paint getPaint(int index)

      Returns the Paint Object for the passed index. This index corresponds to the DataSet for which Paint you want.
      Parameters:
        `index` -
      Returns:
        Paint

    - #### getChartTypeProperties

          ChartTypeProperties getChartTypeProperties()

      Returns ChartTypeProperties Object for the data set which will be typed into the specific chart type class.
      Returns:
        ChartTypeProperties

    - #### getLegendLabel

          String getLegendLabel(int index)

      Returns the Legend Label for the passed index. This index corresponds to the DataSet for which Label you want.
      Parameters:
        `index` -
      Returns:
        String should return NULL of no labels specified

    - #### getNumberOfDataItems

          int getNumberOfDataItems()

      Returns the number of elements in the data set.
      Returns:
        int

    - #### getNumberOfLegendLabels

          int getNumberOfLegendLabels()

      Returns the number of legend labels in the data set.
      Returns:
        int should return 0 if no labels specified